package com.haven.wallpapers.jsonbean;

import androidx.annotation.Nullable;
import androidx.room.Entity;
import androidx.room.PrimaryKey;

import java.io.Serializable;


@Entity(tableName = "collection")
public class Data implements Serializable {

    @PrimaryKey(autoGenerate = true)
    public int id;


    private String imId;

    private String description;

    private String fullUrl;

    private String previewUrl1080;
    private String previewUrl400;
    private String previewUrl200;


    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getImId() {
        return imId;
    }

    public void setImId(String imId) {
        this.imId = imId;
    }



    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getFullUrl() {
        return fullUrl;
    }

    public void setFullUrl(String fullUrl) {
        this.fullUrl = fullUrl;
    }

    public String getPreviewUrl1080() {
        return previewUrl1080;
    }

    public void setPreviewUrl1080(String previewUrl1080) {
        this.previewUrl1080 = previewUrl1080;
    }

    public String getPreviewUrl400() {
        return previewUrl400;
    }

    public void setPreviewUrl400(String previewUrl400) {
        this.previewUrl400 = previewUrl400;
    }

    public String getPreviewUrl200() {
        return previewUrl200;
    }

    public void setPreviewUrl200(String previewUrl200) {
        this.previewUrl200 = previewUrl200;
    }



    @Override
    public boolean equals(@Nullable Object obj) {
        Data obj1 = (Data) obj;
        if (obj1 != null) {
            if (obj1.getImId().equals(imId)) {
                return true;
            }
        }

        return false;
    }
}
